Bug 1152901 - block/curl: Fix type safety of s->timeout
Summary: block/curl: Fix type safety of s->timeout
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs
TreeView+ depends on / blocked
 
Reported: 2014-10-15 07:38 UTC by Richard W.M. Jones
Modified: 2015-03-05 09:56 UTC (History)
8 users (show)

Fixed In Version: qemu-kvm-rhev-2.1.2-8.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:56:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Description Richard W.M. Jones 2014-10-15 07:38:36 UTC
Description of problem:

I suspect we need to carry this patch in RHEL 7.1:

https://lists.gnu.org/archive/html/qemu-devel/2014-10/msg00518.html

It's not accepted upstream yet, waiting on a few more ACKs.

Version-Release number of selected component (if applicable):

qemu-kvm-rhev-2.1.2-4.el7.x86_64

How reproducible:

Not reproducible.  It's a bug that probably only breaks
big-endian architectures.

Comment 2 Richard W.M. Jones 2014-11-03 12:00:51 UTC
Since it looks as if this patch is about to go upstream, I'm
providing dev-ack.

Note that the final version is a bit different from the one
posted first.  The final version is:

https://github.com/stefanha/qemu/commit/f76faeda4bd59f972d09dd9d954297f17c21dd60

Miya: Can someone in your team consider this bug for QA ack?
It's difficult to QA since it doesn't cause a failure on x86
systems.  Perhaps it's best to just check that the patch was
included.

Comment 3 Richard W.M. Jones 2014-11-04 10:06:36 UTC
Now upstream (commit f76faeda4bd59f972d09dd9d954297f17c21dd60).

Comment 4 Miroslav Rezanina 2014-11-13 09:06:31 UTC
Fix included in qemu-kvm-rhev-2.1.2-8.el7

Comment 6 Jun Li 2014-11-21 05:16:32 UTC
Verify:
Version of components:
qemu-kvm-rhev-2.1.2-8.el7.x86_64

# rpm -ql qemu-kvm-rhev-2.1.2-8.el7.x86_64 --changelog |grep 1152901
- kvm-block-curl-Improve-type-safety-of-s-timeout.patch [bz#1152901]
- Resolves: bz#1152901
----------
Also checked the qemu-kvm-rhev-2.1.2-8.el7.src.rpm. Decompress this rpm. Could find the same patch code(https://github.com/stefanha/qemu/commit/f76faeda4bd59f972d09dd9d954297f17c21dd60) in file ./kvm-block-curl-Improve-type-safety-of-s-timeout.patch

Based on above show, this bz has been verified.
========
Reproduce:
qemu-kvm-rhev-2.1.2-1.el7.x86_64

# rpm -ql qemu-kvm-rhev-2.1.2-1.el7.x86_64 --changelog|grep 1152901
No output.

So reproduced it.
=====================
Hi Richard,

  As you have mentioned in comment 2, does above verify method is correct or not? Thanks.


Best Regards,
Jun Li

Comment 7 Richard W.M. Jones 2014-11-21 09:18:10 UTC
Yes that's fine.

We didn't actually demonstrate a bug.  It probably only affects
big endian systems.

Comment 10 errata-xmlrpc 2015-03-05 09:56:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.